Announcement

Collapse
No announcement yet.

NVIDIA 495.44 Linux Driver Released With GBM Support

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • NVIDIA 495.44 Linux Driver Released With GBM Support

    Phoronix: NVIDIA 495.44 Linux Driver Released With GBM Support

    Following the NVIDIA 495 beta Linux driver from earlier this month, NVIDIA 495.44 is out today for Linux users as the stable release...

    https://www.phoronix.com/scan.php?pa...4-Linux-Driver

  • #2
    Done, it's done. Xorg officially dead

    Comment


    • #3
      Eagerly awaiting its arrival in Arch. Especially since with Plasma 5.23 Wayland is finally usable. With lots of flickering, which I expect this driver to fix.

      Comment


      • #4
        Originally posted by mirmirmir View Post
        Done, it's done. Xorg officially dead
        Not for Kepler users!

        Comment


        • #5
          I'm angry that GBM wasn't backported to 470.xx branch, what the hell nvidia? What should I do with my GTX 680? A +10 year old intel potato card on i915 driver can use GBM while nvidia is requiring minimum of GeForce 900 series????!

          Comment


          • #6
            That's why I recommend AMD to other Linux users. The open source drivers will not just drop support for older cards at random

            Comment


            • #7
              Originally posted by hax0r View Post
              I'm angry that GBM wasn't backported to 470.xx branch, what the hell nvidia? What should I do with my GTX 680? A +10 year old intel potato card on i915 driver can use GBM while nvidia is requiring minimum of GeForce 900 series????!
              So you now have a 10 year old NVIDIA potatoe that you can continue to use with X.

              Comment


              • #8
                Originally posted by hax0r View Post
                I'm angry that GBM wasn't backported to 470.xx branch, what the hell nvidia? What should I do with my GTX 680? A +10 year old intel potato card on i915 driver can use GBM while nvidia is requiring minimum of GeForce 900 series????!
                What features available only in/under Wayland you are missing? I'm really curious.

                What about a ton of features which are still not available under Wayland? For instance, you cannot use nvidia-settings. Then, outside of Gnome, there aren't any complete bug-free full-featured DEs yet.

                Comment


                • #9
                  There you go, guys... was that really so hard?

                  Comment


                  • #10
                    Originally posted by bosjc View Post

                    So you now have a 10 year old NVIDIA potatoe that you can continue to use with X.
                    Not a potato, it's slightly slower than GTX 1650 which is a nice entry-level GPU. Must be enough to play older games or online games like Valorant or Dota. Or modern games at lower resolutions and graphics settings.

                    GTX 680 however is slightly slower even than the iGPU in the 1195G7 Intel mobile CPU but then the former was released nine years ago.

                    BTW nouveau should perfectly support GTX 680 because it's from a very old generation where signed firmware is not required to reclock the GPU.

                    Edit: I was wrong, nouveau sucks https://www.phoronix.com/scan.php?pa...a-nouveau-2019
                    Last edited by birdie; 26 October 2021, 12:01 PM.

                    Comment

                    Working...
                    X